import * as $dara from '@darabonba/typescript';
export declare class DescribeDedicatedHostTypesResponseBodyDedicatedHostTypesDedicatedHostTypeSupportedInstanceTypeFamilies extends $dara.Model {
    supportedInstanceTypeFamily?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeDedicatedHostTypesResponseBodyDedicatedHostTypesDedicatedHostTypeSupportedInstanceTypesList extends $dara.Model {
    supportedInstanceTypesList?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeDedicatedHostTypesResponseBodyDedicatedHostTypesDedicatedHostType extends $dara.Model {
    cores?: number;
    cpuOverCommitRatioRange?: string;
    dedicatedHostType?: string;
    GPUSpec?: string;
    localStorageAmount?: number;
    localStorageCapacity?: number;
    localStorageCategory?: string;
    memorySize?: number;
    physicalGpus?: number;
    sockets?: number;
    supportCpuOverCommitRatio?: boolean;
    supportedInstanceTypeFamilies?: DescribeDedicatedHostTypesResponseBodyDedicatedHostTypesDedicatedHostTypeSupportedInstanceTypeFamilies;
    supportedInstanceTypesList?: DescribeDedicatedHostTypesResponseBodyDedicatedHostTypesDedicatedHostTypeSupportedInstanceTypesList;
    totalVcpus?: number;
    totalVgpus?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeDedicatedHostTypesResponseBodyDedicatedHostTypes extends $dara.Model {
    dedicatedHostType?: DescribeDedicatedHostTypesResponseBodyDedicatedHostTypesDedicatedHostType[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeDedicatedHostTypesResponseBody extends $dara.Model {
    dedicatedHostTypes?: DescribeDedicatedHostTypesResponseBodyDedicatedHostTypes;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 5FE5FF06-3A33-4658-8495-6445FC54E327
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
